'use strict';
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const fs = require("fs");
const handlebars = require("handlebars");
const _ = require("lodash");
const autobind_decorator_1 = require("autobind-decorator");
handlebars.registerHelper('notesHeader', (rule) => {
    return (rule.typescriptOnly || rule.hasFix || rule.requiresTypeInfo) ? `\n##### Notes\n` : '';
});
handlebars.registerHelper('json', (obj, escape = false, prefix) => {
    const json = escape ? JSON.stringify(obj, null, 2) : obj;
    const prefixString = !_.isEmpty(prefix) ? '"' + prefix + '": ' : '';
    return '```json\n' + prefixString + json + '\n```';
});
class ContentRenderer {
    constructor(templatePath) {
        this.templatePath = templatePath;
        const templateFile = path.join(templatePath, ContentRenderer.templateFileName);
        this.template = fs.readFileSync(templateFile).toString('UTF-8');
    }
    render(rule) {
        return handlebars.compile(this.template)({ rule });
    }
}
ContentRenderer.templateFileName = 'body-template.md.hbs';
__decorate([
    autobind_decorator_1.default,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", String)
], ContentRenderer.prototype, "render", null);
exports.ContentRenderer = ContentRenderer;
//# sourceMappingURL=contentRenderer.js.map