'use strict';
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const _ = require("lodash");
const path = require("path");
const utils_1 = require("./utils");
const autobind_decorator_1 = require("autobind-decorator");
class RuleLoader {
    constructor(basePath) {
        this.basePath = basePath;
    }
    loadRules(moduleRulePath) {
        const rulePath = path.join(this.basePath, moduleRulePath);
        return fs.readdirSync(rulePath)
            .filter(this.isRuleFile)
            .map(file => {
            const rule = require(path.join(rulePath, file)).Rule || {};
            if (rule.metadata) {
                return rule.metadata;
            }
            else {
                const ruleName = rule.RULE_NAME || _.kebabCase(file.match(/(.*)Rule\.js$/).pop());
                return utils_1.default.createEmptyRuleMetadata(ruleName);
            }
        })
            .filter(metadata => !!metadata);
    }
    isRuleFile(fileName) {
        return fileName.endsWith('Rule.js');
    }
}
__decorate([
    autobind_decorator_1.default,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", Array)
], RuleLoader.prototype, "loadRules", null);
exports.default = RuleLoader;
//# sourceMappingURL=ruleLoader.js.map