'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const issueConverter_1 = require("../issueConverter");
const CodeClimate = require("../codeclimateDefinitions");
const utils_1 = require("../utils");
const mock = require('mock-fs');
const assert = require('power-assert');
describe('Utils', () => {
    describe('createEmptyRuleMetadata(ruleName: string)', () => {
        it('creates correct instance', done => {
            const name = 'rule-name';
            const actual = utils_1.default.createEmptyRuleMetadata(name);
            assert.equal(actual.ruleName, name);
            done();
        });
    });
    describe('createIssueFromError(e: Error)', () => {
        it('creates correct instance', done => {
            const path = 'some path';
            const e = new issueConverter_1.RuleNameNotFoundError('some-rule');
            const actual = utils_1.default.createIssueFromError(e, path);
            assert.equal(actual.description, `Sorry, description could not be provided due to the internal error:\n${e.stack}`);
            assert.equal(actual.type, CodeClimate.issueTypes.Issue);
            done();
        });
    });
});
//# sourceMappingURL=utils.spec.js.map