'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const CodeClimate = require("./codeclimateDefinitions");
const issueConverter_1 = require("./issueConverter");
class Utils {
    createEmptyRuleMetadata(ruleName) {
        return {
            ruleName,
            type: 'style',
            description: '*No description is given*',
            optionsDescription: '',
            options: {},
            typescriptOnly: false
        };
    }
    createIssueFromError(e, path) {
        return {
            type: CodeClimate.issueTypes.Issue,
            check_name: this.resolveCheckName(e),
            description: `Sorry, description could not be provided due to the internal error:\n${e.stack}`,
            categories: ['Bug Risk'],
            remediation_points: 50000,
            location: {
                path,
                positions: {
                    begin: { line: 0, column: 0 },
                    end: { line: 0, column: 0 }
                }
            }
        };
    }
    resolveCheckName(e) {
        if (e instanceof issueConverter_1.RuleNameNotFoundError) {
            return e.ruleName;
        }
        else {
            return '(runtime error)';
        }
    }
}
exports.default = new Utils();
//# sourceMappingURL=utils.js.map